Blueman-applet crash on login: DBusException in call_blocking(): org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out

Bug #1533206 reported by David Pearson
214
This bug affects 71 people
Affects Status Importance Assigned to Milestone
blueman (Ubuntu)
Fix Released
High
Unassigned
Nominated for Xenial by Alberto Salvia Novella

Bug Description

Blueman-apport crash warning on login to fresh xenial daily iso

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: blueman 2.0.3-1ubuntu1
ProcVersionSignature: Ubuntu 4.3.0-5.16-generic 4.3.3
Uname: Linux 4.3.0-5-generic i686
ApportVersion: 2.19.3-0ubuntu2
Architecture: i386
CurrentDesktop: XFCE
Date: Tue Jan 12 13:28:52 2016
InstallationDate: Installed on 2016-01-12 (0 days ago)
InstallationMedia: Xubuntu 16.04 LTS "Xenial Xerus" - Alpha i386 (20160112)
SourcePackage: blueman
UpgradeStatus: No upgrade log present (probably fresh install)

Revision history for this message
David Pearson (akxwi-dave) wrote :
Revision history for this message
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1533206

tags: added: iso-testing
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in blueman (Ubuntu):
status: New → Confirmed
Changed in blueman (Ubuntu):
importance: Undecided → High
Revision history for this message
Martin Wimpress  (flexiondotorg) wrote :

The following duplicate includes a traceback:

  * https://bugs.launchpad.net/ubuntu/+source/blueman/+bug/1538409

Revision history for this message
Set Hallstrom (sakrecoer) wrote :

In fact, the machine it crashed on has no Bluetooth device.

Revision history for this message
Alberto Salvia Novella (es20490446e) wrote :

Please:

1. Report to <https://github.com/blueman-project/blueman/issues>.
2. Paste the new report link here.
3. Set this bug status back to "confirmed".

Thank you.

Changed in blueman (Ubuntu):
status: Confirmed → Incomplete
Forest (foresto)
summary: - Blueman-apport crash on login
+ Blueman-applet crash on login: DBusException in call_blocking():
+ org.freedesktop.DBus.Error.TimedOut: Failed to activate service
+ 'org.bluez': timed out
Revision history for this message
Forest (foresto) wrote :

The current version of blueman-applet does not exhibit this bug, so there would seem to be no point in filing a report upstream. Looks like it's up to the ubuntu team to either patch it or update to a new version in 15.10 (wily).

Changed in blueman (Ubuntu):
status: Incomplete → Confirmed
Revision history for this message
Forest (foresto) wrote :

(Specifically, the version of blueman-applet as packaged in blueman 2.0.3-1ubuntu1 does not trigger the crash report on my xubuntu wily system, while the one in 2.0-1ubuntu1 does.)

Revision history for this message
Tobias (ulbricht-tobias) wrote :

It does affect people running 2.0.3-1ubuntu1, see duplicate #1538409

Revision history for this message
b3nmore (b3nmore) wrote :

In my case this happens, when the bluetooth hardware wasn't initialized by kernel, e.g. it was toggled off by hardware switch (maybe software off might work as well). In such case /sys/class/bluetooth is not created, which prevents the bluetooth.service to start:

systemctl status bluetooth
● bluetooth.service - Bluetooth service
   Loaded: loaded (/lib/systemd/system/bluetooth.service; enabled; vendor preset: enabled)
   Active: inactive (dead)
Condition: start condition failed at So 2016-02-14 12:37:00 CET; 4s ago
           ConditionPathIsDirectory=/sys/class/bluetooth was not met

This means that bluetoothd is not running and thus does not provide the org.bluez dbus service, which in turn is what blueman is complaining about.

Revision history for this message
Nairwolf (nairwolf) wrote :

Thus bug affects also on an amd64 architecture.

Revision history for this message
Ross Gammon (rosco2) wrote :

I observed this bug (actually 1538409) after upgrading from Ubuntu Studio Wily (14.10) to Xenial using update manager.

Revision history for this message
Martin Wimpress  (flexiondotorg) wrote :

I have reported this issue upstream.

  * https://github.com/blueman-project/blueman/issues/488

Revision history for this message
Ivor (rhozeta) wrote :

Experienced this on Raspberry Pi 3 running Ubuntu Mate ubuntu-mate-15.10.3-desktop-armhf-raspberry-pi-2 image.

Revision history for this message
Kev Bowring (flocculant) wrote :

I'm only seeing this with 32bit images now.

Revision history for this message
Torsten Gilles (torsten-gilles) wrote :

seems still to happen on amd64

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package blueman - 2.0.4-1ubuntu2

---------------
blueman (2.0.4-1ubuntu2) xenial; urgency=medium

  * debian/patches/02_lp1533206.patch
    - Fix startup crash for systems without bluetooth (LP: #1533206)

 -- Sean Davis <email address hidden> Wed, 30 Mar 2016 20:03:33 -0400

Changed in blueman (Ubuntu):
status: Confirmed → Fix Released
Revision history for this message
Torsten Gilles (torsten-gilles) wrote :

I have blueman-2.0.4-1ubuntu1 amd64 installed on my system, but still after reboot and login this problem occurs.

Revision history for this message
Torsten Gilles (torsten-gilles) wrote :

oh sorry, I have blueman-2.0.4-1ubuntu1, not blueman-2.0.4-1ubuntu2 as you mentioned..

Revision history for this message
Michael Lueck (mlueck) wrote :

Issue confirmed resolved in Xubuntu daily 20160408 amd64 ISO. Thank you so much! :-)

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers